commit: cf79358b81c5c3b73e5809a869008d65b5f9ea22
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 7 08:58:08 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 7 16:58:51 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf79358b
app-shells/bash-completion: Disable tests failing in containers
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-shells/bash-completion/bash-completion-9999.ebuild | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/app-shells/bash-completion/bash-completion-9999.ebuild
b/app-shells/bash-completion/bash-completion-9999.ebuild
index 2a71e61d56c..4fdb9c19f7f 100644
--- a/app-shells/bash-completion/bash-completion-9999.ebuild
+++ b/app-shells/bash-completion/bash-completion-9999.ebuild
@@ -92,6 +92,11 @@ src_prepare() {
eapply
"${WORKDIR}"/bashcomp2/bash-completion-blacklist-support.patch
fi
+ # our setup is close enough to container to cause the same tests
+ # to fail
+ sed -i -e '/def in_container/a \
+ return True' test/t/conftest.py || die
+
eautoreconf
}